close all
clear all

%% Load file
load('LOAD FILE HERE');

%% Sensor Sensativities
%sens_Acc_x = 31.6;         % m/s^2/V 
%sens_Acc_y = 1;
%sens_Acc_z = 1;
sens_Eddy_x = 50; % micro.Meter/V ; note that 250mM DC should be added
sens_Eddy_y = 50; %
sens_Mic = 11.2e-3;
sens_load = 508*4.448 ;% N/V



%% Convert voltage signals to measured units

    Speed_Measured = fc(data(:,1),Fs,ceil(2/speed)); % to get at least 2 rev per second %% calculate the Speed in Hz
    Ex = data(:,2)*sens_Eddy_x + 250; %proxi. prodes in the x direction measured in microns
    Ey = data(:,3)*sens_Eddy_y + 250; %proxi. prodes in the y direction measured in microns
    Ax = data(:,4)*sens_Acc_x; %Acceleration in the x direction measured in m/s^2
    Ay = data(:,5)*sens_Acc_y; %Acceleration in the y direction measured in m/s^2
    Wenglor = data(:,6); %Wenglor voltage in V
    Load = data(:,7)*sens_load; %Load applied to the bearing measured in N
    SPL = data(:,8); % sound pressure measure be the mic in Pa  
    SPL1 =SPL/20e-6;
    SPL = 20*log10(SPL1); % SPL in dB
    
%% add code here 